/********************************************************************
 * cam1w.c       13-NOV-1991             Y.Takeuchi                 *
 *                                                                  *
 * CAMAC word single action test program                            *
 * SPARC  SFVME-100  CES8216 | K2917  K3922                         *
 ********************************************************************/
#include    <stdio.h>
#include    "camlib.h"

main(argc, argv)
int argc;
char *argv[];
{
    int loop;
    int n, a, f, q, x, dat;

    loop = (argc > 1) ? atoi(argv[1]): 20;

    if (CAM_Open()) {
	perror("Open error: ");
        exit(1);
    }

    CSETCR(0);
    CGENC();
    CGENZ();
    CSETI();
    CREMI();

    while (loop-- > 0) {
	rewind(stdin);
        printf("Input n a f (data)>");
        scanf("%d %d %d*", &n, &a, &f);
        if ((f & 0x1C) == 0x10)
            scanf("%d*", &dat);
        CAMACW(NAF(n, a, f), &dat, &q, &x);
        printf("  N=%d A=%d F=%d Q=%d X=%d  Data:%06X(Hex) %08d(Dec)\n\n",
           n, a, f, q, x, dat, dat);
    }
    CAM_Close();
}
